> For the complete documentation index, see [llms.txt](https://docs.opsmx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opsmx.com/isd-spinnaker/opsmx-intelligent-software-delivery-isd-platform-spinnaker/release-notes/additional-resources/upgrading-to-3.7/upgrade-from-3.12.x-to-4.0.md).

# Upgrade from 3.12.x to 4.0

### ISD v3.12.x to ISD v4.0

Users can upgrade the ISD v3.12.x to ISD v4.0. The upgrade instructions and Script file can be found at the link below.

#### Script File

[https://github.com/OpsMx/enterprise-spinnaker/blob/master/scripts/oes-data-migration-scripts/migration\_v3.12.x\_to\_v4.0.x.py ](<https://github.com/OpsMx/enterprise-spinnaker/blob/master/scripts/oes-data-migration-scripts/migration_v3.12.x_to_v4.0.x.py >)

#### Upgrade instructions&#x20;

[https://github.com/OpsMx/enterprise-spinnaker/blob/master/scripts/oes-data-migration-scripts/steps\_to\_migrate\_from\_v3.12.x\_to\_v4.0.x.txt ](<https://github.com/OpsMx/enterprise-spinnaker/blob/master/scripts/oes-data-migration-scripts/steps_to_migrate_from_v3.12.x_to_v4.0.x.txt >)[](<https://github.com/OpsMx/platform-service/blob/master/data-migration/migration_v3.11.x_to_v3.12.py&#xD;&#xA;>)

#### **Configuration changes:**

These configuration changes are applicable only for upgrading ISD from v3.12.x to v4.0.

**Audit-service:**\
Add the following rabbitmq configuration into the sapor secret file at root level.

```
    message-broker:
      enabled: true
      username: rabbitmq
      password: Networks123
      host: rabbitmq-service
      port: 5672
      endpoint:
        name: rabbitmq
```

**Sapor config:**\
Add the following rabbitmq configuration into the sapor secret file at root level.

```
    message-broker:
      enabled: true
      username: rabbitmq
      password: Networks123
      host: rabbitmq-service
      port: 5672
      endpoint:
        name: rabbitmq
```

**Platform secret:**\
Add the following configuration into platform secret under: oes \[Note: similar to other gates like: approvalGate, verificationGate, etc]

```
       policyGate:
         url: "https://${singleurl}/gate"
         path: /v1/data/

       ui:
         # Ex: "https://oes-poc.dev.opsmx.org/"
         url: "https://${singleurl}/ui"
```

**Visibility:**\
Replace the following **Code 1** with **Code 2**.

**Code 1:**

```
     ui:
      approval:
        url: https://${singleurl}/ui/application/visibility/{applicationId}/{serviceId}/{approvalGateId}
```

**Code 2:**

```
 ui:
      approval:
        url: https://${singleurl}/ui/plugin-isd/approval/{applicationId}/{serviceId}/{approvalGateId}
```

#### **OES-ui**

**configmap.yaml:** <https://github.com/OpsMx/kubeyaml/blob/v4.0/oes-ui/configmap.yml>

**Common-conf (Standard-error-codes):** <https://github.com/OpsMx/kubeyaml/blob/v4.0/common-conf/standard-error-codes.yml>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.opsmx.com/isd-spinnaker/opsmx-intelligent-software-delivery-isd-platform-spinnaker/release-notes/additional-resources/upgrading-to-3.7/upgrade-from-3.12.x-to-4.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
